Bug 215018 - GLcore segfault in _swrast_depth_test_span
GLcore segfault in _swrast_depth_test_span
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 11:58 EST by Guilherme Destefani
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: xorg-x11-server 1.3.0.0-19.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 17:17:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blender output (140 bytes, application/octet-stream)
2006-12-28 12:40 EST, Guilherme Destefani
no flags Details
output from X.org (2.26 KB, application/octet-stream)
2006-12-28 12:41 EST, Guilherme Destefani
no flags Details
X.org config file (from /etc/X11/xorg.conf) (8.67 KB, application/octet-stream)
2006-12-28 12:41 EST, Guilherme Destefani
no flags Details
log file from X.org (from /var/log) (53.82 KB, text/plain)
2006-12-28 12:43 EST, Guilherme Destefani
no flags Details
log from /var/log without a config file (45.76 KB, application/octet-stream)
2006-12-28 14:17 EST, Guilherme Destefani
no flags Details
screen log from gdb (26.31 KB, text/plain)
2006-12-28 15:05 EST, Guilherme Destefani
no flags Details

  None (edit)
Description Guilherme Destefani 2006-11-10 11:58:10 EST
Description of problem:

X.org crash when using blender to resize a cube

Version-Release number of selected component (if applicable):

[root@homemfera log]# rpm -qif /usr/lib64/xorg/modules/extensions/libGLcore.so
Name        : xorg-x11-server-Xorg         Relocations: (not relocatable)
Version     : 1.1.1                             Vendor: Red Hat, Inc.
Release     : 47.fc6                        Build Date: Thu 05 Oct 2006 02:06:25
AM GMT+2
Install Date: Mon 06 Nov 2006 02:36:01 PM GMT+2      Build Host:
hs20-bc2-4.build.redhat.com
Group       : User Interface/X              Source RPM:
xorg-x11-server-1.1.1-47.fc6.src.rpm
Size        : 9865209                          License: MIT/X11
Signature   : DSA/SHA1, Fri 06 Oct 2006 12:45:57 AM GMT+2, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.x.org
Summary     : Xorg X server
Description :
[root@homemfera log]# rpm -q kernel-xen
kernel-xen-2.6.18-1.2798.fc6
[root@homemfera log]# rpm -q blender
blender-2.42a-4.fc6

How reproducible:

Always, just open blender and resize the default cube

Steps to Reproduce:
  [root@homemfera log]# export DISPLAY=:1;X :1 -ac&sleep 5;blender

then resize the default cube

Actual results:

[1] 23747

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-34.ELsmp x86_64 Red Hat, Inc.
Current Operating System: Linux homemfera.perkons.net.br 2.6.18-1.2798.fc6xen #1
SMP Mon Oct 16 14:59:01 EDT 2006 x86_64
Build Date: 04 October 2006
Build ID: xorg-x11-server 1.1.1-47.fc6 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Fri Nov 10 14:34:44 2006
(==) Using config file: "/etc/X11/xorg.conf"

(EE) Failed to load module "v4l" (module does not exist, 0)

(EE) AIGLX: DRI module not loaded



Compiled with Python version 2.4.

Checking for installed Python... got it!



Backtrace:
0: X(xf86SigHandler+0x71) [0x495ff1]
1: /lib64/libc.so.6 [0x31db430210]
2:
/usr/lib64/xorg/modules/extensions/libGLcore.so(_swrast_depth_test_span+0x6bf)
[0x2aaab006830f]
3:
/usr/lib64/xorg/modules/extensions/libGLcore.so(_swrast_write_rgba_span+0x5be)
[0x2aaab00b032e]
4: /usr/lib64/xorg/modules/extensions/libGLcore.so [0x2aaab00ab7de]
5: /usr/lib64/xorg/modules/extensions/libGLcore.so [0x2aaab00d89bf]
6: /usr/lib64/xorg/modules/extensions/libGLcore.so [0x2aaab00dc85a]
7: /usr/lib64/xorg/modules/extensions/libGLcore.so(_tnl_run_pipeline+0x12b)
[0x2aaab00dfddb]
8: /usr/lib64/xorg/modules/extensions/libGLcore.so(_tnl_flush_vtx+0x320)
[0x2aaab00e90f0]
9: /usr/lib64/xorg/modules/extensions/libGLcore.so(_tnl_FlushVertices+0x73)
[0x2aaab00dd773]
10: /usr/lib64/xorg/modules/extensions/libGLcore.so(_mesa_LoadMatrixf+0x9e)
[0x2aaab000490e]
11: /usr/lib64/xorg/modules/extensions/libglx.so(__glXRender+0xd7) [0x2aaaab1a98a7]
12: /usr/lib64/xorg/modules/extensions/libglx.so [0x2aaaab1ae0c8]
13: X(Dispatch+0x1ca) [0x449c9a]
14: X(main+0x455) [0x4325d5]
15: /lib64/libc.so.6(__libc_start_main+0xf4) [0x31db41da44]
16: X(FontFileCompleteXLFD+0x231) [0x4318c9]

Fatal server error:
Caught signal 11.  Server aborting

X connection to :1.0 broken (explicit kill or server shutdown).
[1]+  Aborted                 X :1 -ac
[root@homemfera log]# 


Expected results:


Additional info:
[root@homemfera log]# lspci|grep VGA
00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev a2)

Please note that I'm NOT using the nvidia driver.
Comment 1 Matěj Cepl 2006-12-12 11:38:35 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your whole X server config file (/etc/X11/xorg.conf) and whole X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card. Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Guilherme Destefani 2006-12-28 12:40:05 EST
Created attachment 144478 [details]
blender output
Comment 3 Guilherme Destefani 2006-12-28 12:41:10 EST
Created attachment 144479 [details]
output from X.org
Comment 4 Guilherme Destefani 2006-12-28 12:41:55 EST
Created attachment 144480 [details]
X.org config file (from /etc/X11/xorg.conf)
Comment 5 Guilherme Destefani 2006-12-28 12:43:12 EST
Created attachment 144481 [details]
log file from X.org (from /var/log)
Comment 6 Guilherme Destefani 2006-12-28 13:31:30 EST
I forgot to mention, is a AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
[Gui@homemfera:~]$ uname -a
Linux homemfera.perkons.net.br 2.6.18-1.2868.fc6xen #1 SMP Fri Dec 15 17:47:25
EST 2006 x86_64 x86_64 x86_64 GNU/Linux

The system has been upgraded since the first report:
[Gui@homemfera:~]$ rpm -q kernel-xen;rpm -q blender;rpm -qf
/usr/lib64/xorg/modules/extensions/libGLcore.so
kernel-xen-2.6.18-1.2849.fc6
kernel-xen-2.6.18-1.2868.fc6
blender-2.42a-4.fc6
xorg-x11-server-Xorg-1.1.1-47.2.fc6

And I can't reproduce with the same procedure.

With other procedure, I found a bug again (the same or other one):

[Gui@homemfera:~]$ rm ~/log_crash_* -f;export DISPLAY=:1 ;X :1 -ac >&
~/log_crash_X11&sleep 5;twm& blender >&~/log_crash_blender&

Create a cube, scale ("s" key), lock on two axis ("SHIFT"+"z" for example)
and then:

(continue, I'm posting just in case the console hangs)
Comment 7 Guilherme Destefani 2006-12-28 13:32:54 EST
[Gui@homemfera:~]$ X connection to :1.0 broken (explicit kill or server shutdown).

[1]   Aborted                 X :1 -ac >&~/log_crash_X11
[2]-  Exit 1                  twm
[3]+  Exit 1                  blender >&~/log_crash_blender
Comment 8 Guilherme Destefani 2006-12-28 14:16:03 EST
Running without a config file (rm /etc/X11/xorg.conf), the resolution is very
low, and no mouse displayed (but buttons became highlighted when you got mouse
over them).

I've runned blender and found no way to crash the X server.

But closing blender hangs the console (no ctrl+alt+backspace, num lock/caps
lock/scroll lock), and display a color pattern on the monitor (half a fixed
color, half what was displayed before).

But I could ssh to the host, but nothing seems to fix the video board, chvt to
other console, run other X server, kill :0 server, nothing but reboot.

follow the log from X without a config file:

Comment 9 Guilherme Destefani 2006-12-28 14:17:35 EST
Created attachment 144483 [details]
log from /var/log without a config file
Comment 10 Guilherme Destefani 2006-12-28 15:05:21 EST
Created attachment 144485 [details]
screen log from gdb

Maybe this help, at least has the point where the signal is catched.
Comment 11 Adam Jackson 2007-08-14 11:32:57 EDT
This bug is believed to be fixed as of xorg-x11-server 1.3.0.0-19.fc8, in
tomorrow's rawhide.  Please update, and move this bug back to ASSIGNED if the
issue still occurs for you.
Comment 12 Matěj Cepl 2007-09-17 10:34:12 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 13 Guilherme Destefani 2007-09-17 13:38:28 EDT
Tested with and without a xorg config file, no way to reproduce it, resizing and
quitting blender.

Please change bug status to FIXED.

Thanks!!




Note You need to log in before you can comment on or make changes to this bug.